Subject: Re: [netmod] [Anima] looking for practical advice on managing YANG source in XML format RFCs

From: Christian Hopps <[email-masked]>
Date: Mon, 14 Jun 2021 14:38:12 -0400

I didn’t think you were actually looking for a non-xml solution, but as you mentioned in an earlier mail there’s my org-rfc setup which makes all this yang stuff pretty simple. The source of the YANG module is in the single org-mode formatted draft source, along with support for YANG validation of the module and examples, generating YANG trees, downloading YANG dependencies etc.. :)

An example use: https://github.com/choppsv1/draft-chopps-netmod-geo-location <https://github.com/choppsv1/draft-chopps-netmod-geo-location>

Thanks,
Chris.

> On Jun 14, 2021, at 10:09 AM, Michael Richardson <[email-masked]> wrote:
> 
> 
> Carsten Bormann <[email-masked]> wrote:
>> On 14. Jun 2021, at 03:09, Michael Richardson <[email-masked]> wrote:
>>> 
>>> 1) how to process yang files with YYYY-DD-MM into XML.
>>> 2) how to generate yang tree files.
>>> 3) how do I get my YANG includes downloaded, and do I put them into my repo?
>>> 4) how to do this with MT Makefiles?
> 
>> I people could tell me what they need, we could develop a feature in
>> kramdown-rfc to handle this.
> 
> One possibility is that kramdown-rfc ought to look for, and include the
> latest foo-YYYY-MM-DD.yang file, when told to ::include foo.yang.
> Alternatively, it could perhaps do the YYYY-MM-DD substitution itself.
> 
>> (This would presumably also include support for YANG-SID files.)
> 
> That's mostly just a question about including the results, and it's not that
> hard thing to add to the main Makefile.
> 
> But, as I said, I xml2rfc doesn't have a useful include functionality, for
> when not working with kramdown.
> 
> --
> Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
>           Sandelman Software Works Inc, Ottawa and Worldwide
> 
> 
> 
> 
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod